API referenceEndpointsSources
Pause Source
Pause scheduled ingestion for one Source.
Pause scheduled ingestion for one Source.
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
sourceId*string
Source UUID within the Account scope.
Format
uuidHeader Parameters
Idempotency-Key*string
Unique key for this mutation and request body.
Length
8 <= length <= 200Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/sources/00000000-0000-4000-8000-000000000002/pause" \ -H "Idempotency-Key: operation-20260816-001" \ -H "Content-Type: application/json" \ -d '{ "accountId": "00000000-0000-4000-8000-000000000001" }'{ "data": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "accountId": "3d07c219-0a88-45be-9cfc-91e9d095a1e9", "kind": "desktop", "connectorKey": "string", "name": "string", "state": "healthy", "owner": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "email": "user@example.com" }, "datasetCount": 0, "endpointCount": 0, "lastSuccessAt": "2019-08-24T14:15:22Z", "issue": { "code": "string", "message": "string", "action": "string" }, "schedule": "manual", "stats": [ { "date": "2019-08-24", "records": 0, "errors": 0, "bytes": 0 } ] }, "correlationId": "string"}